Bug 1263464 - [DOCS] Clarify steps required to push images to internal docker registry
[DOCS] Clarify steps required to push images to internal docker registry
Status: CLOSED NOTABUG
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity high
: ---
: ---
Assigned To: Michael Burke
Dongbo Yan
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 16:46 EDT by Ryan Howe
Modified: 2018-05-08 20:30 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-01-29 13:13:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Howe 2015-09-15 16:46:30 EDT
Document URL: https://docs.openshift.com/enterprise/3.0/using_images/docker_images/overview.html

https://docs.openshift.com/enterprise/3.0/admin_guide/install/docker_registry.html#securing-the-registry

Section Number and Name: pushing to internal docker registry needs project namespace. 

Describe the issue: 

- Out line what is needed when pushing images manually to internal registry 

- For example project namespace is needed to be added when doing a docker push. 

# docker tag <image>  <docker-registry-ip>:5000/<Project_Name>/<image> 


Suggestions for improvement: 

https://access.redhat.com/solutions/1615403
- Add a section that outlines how to work with our registry   

Additional information: 


https://access.redhat.com/solutions/1615403
Comment 5 Michael Burke 2018-01-02 14:13:21 EST
@ryan I *appears* that this BZ is requesting that we add the namespace to the docker push and docker tag commands in our docs. Can you clarify? 

If so, have we addressed this concern via https://github.com/openshift/openshift-docs/commit/4b8377d67ce2968ffe4c5f5bb9f9f24e2b84e59e#diff-d7dbe137f42b2f8f406596161a89db90

This commit was a few days after you created this BZ.

The docs now have:
16. Validate the docker client connection. Running docker push to the registry or docker pull from the registry should succeed. Make sure you have logged into the registry.

$ docker tag|push <registry/image> <internal_registry/project/image>

For example:

$ docker pull busybox
$ docker tag docker.io/busybox 172.30.124.220:5000/openshift/busybox
$ docker push 172.30.124.220:5000/openshift/busybox
...
cf2616975b4a: Image successfully pushed
Digest: sha256:3662dd821983bc4326bee12caec61367e7fb6f6a3ee547cbaff98f77403cab55"

https://docs.openshift.com/container-platform/3.7/install_config/registry/securing_and_exposing_registry.html#securing-the-registry
Comment 6 Michael Burke 2018-01-09 14:48:55 EST
@ryan PTAL

Note You need to log in before you can comment on or make changes to this bug.